<!DOCTYPE html>
<html lang="en">
<head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- bootstrap css -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <!-- bootstrap js -->
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
        <!-- jquery -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        {% load static %}
</head>

<body>

    <nav class="navbar navbar-expand-sm navbar-light bg-success sticky-top">

        <!-- TODO: 
        1.Ganti active link-->
        <div class="container-fluid "><a href="/">
            <img class="navbar-brand " src="{% static 'logo_zonahijau.png' %}">

        </a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse " id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto">
                <li class="nav-item module">
                  <a class="nav-link active" href="/mitosfakta/">MITOS/FAKTA</a> <!-- Active Link mitosfakta -->
                </li>			
                <li class="nav-item module dropdown ">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarScrollingDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        FUFU
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                        <li><a class="dropdown-item" href="/fufu/">FUFU</a></li>
                        <li><a class="dropdown-item" href="/myfufu/">My FUFU</a></li> <!--cek-->
                      </ul>
                </li>			
                <li class="nav-item module ">
                  <a class="nav-link" href="/rumahsakit/">LIST RS</a> 
                </li>			
                <li class="nav-item module">
                  <a class="nav-link" href="/faq/">FAQ</a>
                </li>			
                <li class="nav-item module">
                  <a class="nav-link" href="/videoinfog/">INFOGRAFIS</a>
                </li>
               <!--conditional rendering for logged in user-->
               {% if not user.is_authenticated %}
               <li class="nav-item">
                 <a class="nav-link" aria-current="page" href="/login/" id="login">LOGIN</a> 
               </li>
               <li class="nav-item">
                 <a class="nav-link" href="/register/">SIGN UP</a>
               </li>
             {% else %}
               <li class="nav-item">
                 <a class="nav-link" aria-current="page" id="username">Hi, {{user.username}}</a> 
               </li>
               <li class="nav-item">
                 <a class="nav-link" href="/logout/" id="logout">Logout</a>
               </li>
             {% endif %}
             <!--conditional rendering for logged in user-->	
            </ul>		  
          </div>
        </div>
      </nav>
</body>
</html>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400&display=swap');
    * {
    font-family: 'Sora', sans-serif;
    }
    /* styling for conditional rendering*/
    #login {
        background-color: white;
        border-radius: 20px;
    }

    #username {
      margin-left: 150px;
      margin-right: 20px;
    }

    #username:hover {
      cursor: default;
      color: rgba(0,0,0,.55);
    }

    #logout {
      border-radius: 40px;
    }

    #logout:hover {
      color: rgb(250, 250, 250);
      background-color: rgb(245, 99, 99);
      box-shadow: -3px 3px 3px grey;
    }
    /* styling for conditional rendering*/

    .navbar-nav > li > #login {
        margin-left:150px;
    }

    .navbar-nav > .module{
        margin: 0 30px;
    }

    .nav-item{
        font-size: 11pt;
        font-weight: bold;
    }

    .navbar{
        background-color: #7CC1AC !important;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    }
    .active{
        text-decoration: underline;
        color: white !important;
    }

    .dropdown-menu{
        background-color: #40B3A2;
        border: 2px solid #40B3A2;
        box-shadow: 0px 7px 5px rgba(0, 0, 0, 0.25);
    }

    .dropdown-item:hover{
        background-color: #5ac4b4;
    }
</style>
